<?php
/**
* Community Builder (TM)
* @version $Id: $
* @package CommunityBuilder
* @copyright (C) 2004-2022 www.joomlapolis.com / Lightning MultiCom SA - and its licensors, all rights reserved
* @license http://www.gnu.org/licenses/old-licenses/gpl-2.0.html GNU/GPL version 2
*/

use CB\Plugin\AntiSpam\Field\CaptchaField;
use CB\Plugin\AntiSpam\Field\IPAddressField;
use CB\Plugin\AntiSpam\Tab\AntispamTab;
use CB\Plugin\AntiSpam\Trigger\AdminTrigger;
use CB\Plugin\AntiSpam\Trigger\CaptchaTrigger;
use CB\Plugin\AntiSpam\Trigger\ForgotLoginTrigger;
use CB\Plugin\AntiSpam\Trigger\LoginTrigger;
use CB\Plugin\AntiSpam\Trigger\MenuTrigger;
use CB\Plugin\AntiSpam\Trigger\UserTrigger;
use CBLib\Core\AutoLoader;

if ( ! ( defined( '_VALID_CB' ) || defined( '_JEXEC' ) || defined( '_VALID_MOS' ) ) ) { die( 'Direct Access to this location is not allowed.' ); }

global $_PLUGINS;

AutoLoader::registerExactMap( '%^CB/Plugin/AntiSpam/(.+)%i', __DIR__ . '/library/$1.php' );

class_alias( AntispamTab::class, 'cbantispamTab' );
class_alias( AntispamTab::class, 'cbantispamTabBlocks' );
class_alias( AntispamTab::class, 'cbantispamTabWhitelists' );
class_alias( AntispamTab::class, 'cbantispamTabAttempts' );
class_alias( AntispamTab::class, 'cbantispamTabLog' );

$_PLUGINS->loadPluginGroup( 'user' );

$_PLUGINS->registerFunction( 'mod_onCBAdminMenu', 'adminMenu', AdminTrigger::class );

$_PLUGINS->registerFunction( 'onPrepareMenus', 'displayMenu', MenuTrigger::class );

$_PLUGINS->registerFunction( 'onAfterDeleteUser', 'deleteUserData', UserTrigger::class );

// Login
$_PLUGINS->registerFunction( 'onAfterLoginForm', 'displayCaptcha', LoginTrigger::class );
$_PLUGINS->registerFunction( 'onBeforeLogin', 'beforeLogin', LoginTrigger::class );
$_PLUGINS->registerFunction( 'onDuringLogin', 'duringLogin', LoginTrigger::class );
$_PLUGINS->registerFunction( 'onAfterLogin', 'afterLogin', LoginTrigger::class );

// Forgot Login
$_PLUGINS->registerFunction( 'onLostPassForm', 'displayCaptcha', ForgotLoginTrigger::class );
$_PLUGINS->registerFunction( 'onStartNewPassword', 'beforeForgotLogin', ForgotLoginTrigger::class );
$_PLUGINS->registerFunction( 'onAfterUsernameReminder', 'afterForgotLoginUsername', ForgotLoginTrigger::class );
$_PLUGINS->registerFunction( 'onAfterPasswordReminder', 'afterForgotLoginPassword', ForgotLoginTrigger::class );

// Registration
$_PLUGINS->registerFunction( 'onStartSaveUserRegistration', 'beforeRegistration', UserTrigger::class );
$_PLUGINS->registerFunction( 'onBeforeUserRegistration', 'duringRegistration', UserTrigger::class );
$_PLUGINS->registerFunction( 'onAfterSaveUserRegistration', 'afterRegistration', UserTrigger::class );
$_PLUGINS->registerFunction( 'onAfterEmailUserForm', 'displayEmailCaptcha', UserTrigger::class );
$_PLUGINS->registerFunction( 'onBeforeEmailUser', 'validateEmailCaptcha', UserTrigger::class );

// Legacy Captcha
$_PLUGINS->registerFunction( 'onGetCaptchaHtmlElements', 'displayCaptcha', CaptchaTrigger::class );
$_PLUGINS->registerFunction( 'onCheckCaptchaHtmlElements', 'validateCaptcha', CaptchaTrigger::class );

$_PLUGINS->registerUserFieldParams();
$_PLUGINS->registerUserFieldTypes( [	'antispam_ipaddress'	=>	IPAddressField::class,
										'antispam_captcha'		=>	CaptchaField::class,
									] );