<?php
/**
* Community Builder (TM)
* @version $Id: $
* @package CommunityBuilder
* @copyright (C) 2004-2023 www.joomlapolis.com / Lightning MultiCom SA - and its licensors, all rights reserved
* @license http://www.gnu.org/licenses/old-licenses/gpl-2.0.html GNU/GPL version 2
*/

use CB\Plugin\GroupJive\CBGroupJive;
use CB\Plugin\GroupJive\Tab\GroupTab;
use CB\Plugin\GroupJive\Trigger\ActivityTrigger;
use CB\Plugin\GroupJive\Trigger\GalleryTrigger;
use CBLib\Core\AutoLoader;
use CB\Plugin\GroupJive\Field\AutoJoinField;
use CB\Plugin\GroupJive\Trigger\RouterTrigger;
use CB\Plugin\GroupJive\Trigger\UserTrigger;
use CB\Plugin\GroupJive\Trigger\AdminTrigger;

defined( 'CBLIB' ) or die();

global $_PLUGINS;

AutoLoader::registerExactMap( '%^CB/Plugin/GroupJive/(.+)%i', __DIR__ . '/library/$1.php' );

class_alias( GroupTab::class, 'cbgjTab' );

$_PLUGINS->loadPluginGroup( 'user' );
$_PLUGINS->loadPluginGroup( 'user/plug_cbgroupjive/plugins' );

$_PLUGINS->registerFunction( 'mod_onCBAdminMenu', 'adminMenu', AdminTrigger::class );

$_PLUGINS->registerFunction( 'onAfterDeleteUser', 'deleteGroups', UserTrigger::class );
$_PLUGINS->registerFunction( 'onAfterUserRegistration', 'acceptInvites', UserTrigger::class );
$_PLUGINS->registerFunction( 'onAfterNewUser', 'acceptInvites', UserTrigger::class );

$_PLUGINS->registerFunction( 'onBuildRoute', 'build', RouterTrigger::class );
$_PLUGINS->registerFunction( 'onParseRoute', 'parse', RouterTrigger::class );

if ( method_exists( CBGroupJive::class, 'getCBActivity' ) && CBGroupJive::getCBActivity() ) {
	$_PLUGINS->registerFunction( 'activity_onActivity', 'activityBuild', ActivityTrigger::class );
	$_PLUGINS->registerFunction( 'activity_onNotifications', 'activityBuild', ActivityTrigger::class );
	$_PLUGINS->registerFunction( 'activity_onStreamCreateAccess', 'createAccess', ActivityTrigger::class );
	$_PLUGINS->registerFunction( 'activity_onStreamModerateAccess', 'moderateAccess', ActivityTrigger::class );
	$_PLUGINS->registerFunction( 'activity_onQueryActivityStream', 'activityQuery', ActivityTrigger::class );
	$_PLUGINS->registerFunction( 'activity_onQueryNotificationsStream', 'activityQuery', ActivityTrigger::class );
	$_PLUGINS->registerFunction( 'activity_onLoadActivityStream', 'activityPrefetch', ActivityTrigger::class );
	$_PLUGINS->registerFunction( 'activity_onLoadNotificationsStream', 'activityPrefetch', ActivityTrigger::class );
	$_PLUGINS->registerFunction( 'activity_onDisplayStreamActivity', 'activityDisplay', ActivityTrigger::class );
	$_PLUGINS->registerFunction( 'activity_onDisplayStreamNotification', 'activityDisplay', ActivityTrigger::class );
	$_PLUGINS->registerFunction( 'activity_onStreamAsset', 'assetPrepare', ActivityTrigger::class );
	$_PLUGINS->registerFunction( 'activity_onAssetSource', 'assetSource', ActivityTrigger::class );
}

if ( method_exists( CBGroupJive::class, 'getCBGallery' ) && CBGroupJive::getCBGallery() ) {
	$_PLUGINS->registerFunction( 'gallery_onGalleryFoldersCreateAccess', 'createFolderAccess', GalleryTrigger::class );
	$_PLUGINS->registerFunction( 'gallery_onGalleryItemsCreateAccess', 'createItemAccess', GalleryTrigger::class );
	$_PLUGINS->registerFunction( 'gallery_onGalleryModerateAccess', 'moderateAccess', GalleryTrigger::class );
	$_PLUGINS->registerFunction( 'gallery_onAssetSource', 'assetSource', GalleryTrigger::class );
}

$_PLUGINS->registerUserFieldParams();
$_PLUGINS->registerUserFieldTypes( [	'groupautojoin'			=>	AutoJoinField::class,
										'groupmultiautojoin'	=>	AutoJoinField::class,
									] );