<?php
/**
 * Community Builder (TM) form files plugin
 * @version $Id: $
 * @copyright (C) 2004-2022 www.joomlapolis.com / Lightning MultiCom SA - and its licensors, all rights reserved
 * @license http://www.gnu.org/licenses/old-licenses/gpl-2.0.html GNU/GPL version 2
 */

use Joomla\CMS\Factory;

if ( ! ( defined( '_VALID_CB' ) || defined( '_JEXEC' ) ) ) { die( 'Direct Access to this location is not allowed.' ); }

JFormHelper::loadFieldClass( 'list' );

class JFormFieldcbsubsplans extends JFormFieldList
{
	/** @var string  */
	protected $type						=	'cbsubsplans';
	/** @var null|array  */
	protected static ?array $options	=	null;

	/**
	 * @param $options
	 * @return string
	 */
	public function renderField( $options = [] ): string
	{
		if ( ( ! file_exists( JPATH_SITE . '/libraries/CBLib/CBLib/Core/CBLib.php' ) )
			 || ( ! file_exists( JPATH_ADMINISTRATOR . '/components/com_comprofiler/plugin.foundation.php' ) )
			 || ( ! file_exists( JPATH_SITE . '/components/com_comprofiler/plugin/user/plug_cbpaidsubscriptions/cbpaidsubscriptions.php' ) )
		) {
			return '';
		}

		return parent::renderField( $options );
	}

	/**
	 * @return array
	 */
	protected function getOptions(): array
	{
		if ( ( ! file_exists( JPATH_SITE . '/libraries/CBLib/CBLib/Core/CBLib.php' ) )
			 || ( ! file_exists( JPATH_ADMINISTRATOR . '/components/com_comprofiler/plugin.foundation.php' ) )
			 || ( ! file_exists( JPATH_SITE . '/components/com_comprofiler/plugin/user/plug_cbpaidsubscriptions/cbpaidsubscriptions.php' ) )
		) {
			return [];
		}

		if ( self::$options === null ) {
			self::$options			=	parent::getOptions();

			$db						=	Factory::getDbo();

			$query					=	$db->getQuery( true )
										->select( '*' )
										->from( $db->quoteName( '#__cbsubs_plans' ) );
			$db->setQuery( $query );

			try {
				$plans				=	$db->loadObjectList();
			} catch ( \RuntimeException $e ) {
				return [];
			}

			foreach ( $plans as $plan ) {
				self::$options[]	=	JHtml::_( 'select.option', $plan->id, $plan->alias );
			}
		}

		return self::$options;
	}
}
