<?php
/**
* Community Builder (TM)
* @version $Id: $
* @package CommunityBuilder
* @copyright (C) 2004-2023 www.joomlapolis.com / Lightning MultiCom SA - and its licensors, all rights reserved
* @license http://www.gnu.org/licenses/old-licenses/gpl-2.0.html GNU/GPL version 2
*/

namespace CB\Plugin\ProfileUpdateLogger\Trigger;

use CBLib\Language\CBTxt;

defined('CBLIB') or die();

class AdminTrigger extends \cbPluginHandler
{

	/**
	 * Displays backend menu items
	 *
	 * @param array $menu
	 * @param bool  $disabled
	 */
	public function adminMenu( &$menu, $disabled )
	{
		global $_CB_framework;

		if ( ! $this->params->getBool( 'general_menu', true ) ) {
			return;
		}

		$menuItems					=	array();

		$menuItems['component']		=	array(	'title' => CBTxt::T( 'Profile Update Log' ) );
		$menuItems['menu']			=	array(	array(	'title' => CBTxt::T( 'Log' ), 'link' => $_CB_framework->backendViewUrl( 'editPlugin', true, array( 'action' => 'showpulog', 'cid' => $this->getPluginId() ) ), 'icon' => 'cbprofileupdatelogger-entries' ),
												array(	'title' => CBTxt::T( 'Configuration' ), 'link' => $_CB_framework->backendViewUrl( 'editrow', true, array( 'table' => 'pluginsbrowser', 'action' => 'editrow', 'cid' => $this->getPluginId(), 'cbprevstate' => base64_encode( 'option=com_comprofiler&view=showPlugins' ) ) ), 'icon' => 'cbprofileupdatelogger-config' )
											);

		$menu['pulogger']			=	$menuItems;
	}
}