<?php
/**
 * Community Builder (TM)
 * @version $Id: $
 * @package CommunityBuilder
 * @copyright (C) 2004-2022 www.joomlapolis.com / Lightning MultiCom SA - and its licensors, all rights reserved
 * @license http://www.gnu.org/licenses/old-licenses/gpl-2.0.html GNU/GPL version 2
 */

namespace CB\Plugin\Ajax\Trigger;

use CB\Database\Table\FieldTable;
use CBLib\Registry\ParamsInterface;
use CBLib\Registry\Registry;
use cbPluginHandler;

\defined( 'CBLIB' ) or die();

class ListTrigger extends cbPluginHandler
{
	/**
	 * @param array        $columns
	 * @param FieldTable[] $fields
	 * @param array        $tableReferences
	 * @return void
	 */
	public function checkListStrict( &$columns, &$fields, &$tableReferences ): void
	{
		foreach ( $fields as $field ) {
			if ( ! $field->params instanceof ParamsInterface ) {
				$field->set( 'params', new Registry( $field->params ) );
			}

			if ( ! $field->params->getBool( 'ajax_list', false ) ) {
				continue;
			}

			if ( ! $field->params->getBool( 'ajax_list_strict', false ) ) {
				continue;
			}

			$field->set( '_ajaxOnList', true );
		}
	}
}