<?php
/**
* Community Builder (TM)
* @version $Id: $
* @package CommunityBuilder
* @copyright (C) 2004-2023 www.joomlapolis.com / Lightning MultiCom SA - and its licensors, all rights reserved
* @license http://www.gnu.org/licenses/old-licenses/gpl-2.0.html GNU/GPL version 2
*/

use CB\Database\Table\UserTable;
use CBLib\Language\CBTxt;
use CB\Plugin\Activity\CBActivity;
use CB\Plugin\Activity\Table\CommentTable;
use CB\Plugin\Activity\Comments;

if ( ! ( defined( '_VALID_CB' ) || defined( '_JEXEC' ) || defined( '_VALID_MOS' ) ) ) { die( 'Direct Access to this location is not allowed.' ); }

/**
 * @var CommentTable[]    $rows
 * @var cbPageNav         $pageNav
 * @var UserTable         $viewer
 * @var Comments          $stream
 * @var CBplug_cbactivity $this
 * @var string            $output
 *
 * @var bool              $canCreate
 * @var bool              $isReply
 * @var string            $direction
 */
?>
<?php if ( in_array( $output, array( 'load', 'update' ), true ) ) { ?>
	<?php if ( ( $direction === 'up' ) && $stream->getBool( 'paging', true ) && ( $pageNav->total > $pageNav->limit ) ) { ?>
	<div class="commentsStreamToolbar streamToolbar streamMoreContainer">
		<a href="javascript: void(0);" data-cbactivity-more-url="<?php echo $pageNav->limitstartUrl( $pageNav->limitstart ); ?>" class="commentsButton commentsButtonMore streamMore"><?php echo CBTxt::T( 'Show older comments' ); ?></a>
	</div>
	<?php } ?>
<?php } ?>
<?php if ( $rows ) { ?>
	<?php foreach ( $rows as $row ) { ?>
		<?php require CBActivity::getTemplate( $stream->getString( 'template' ), 'comments/container', false ); ?>
	<?php } ?>
<?php } elseif ( ( ! $stream->getBool( 'inline', false ) ) && ( ! $canCreate ) ) { ?>
<div class="commentsStreamEmpty streamEmpty">
	<?php if ( $isReply ) { ?>
		<?php echo CBTxt::T( 'No replies to display.' ); ?>
	<?php } else { ?>
		<?php echo CBTxt::T( 'No comments to display.' ); ?>
	<?php } ?>
</div>
<?php } ?>
<?php if ( in_array( $output, array( 'load', 'update' ), true ) ) { ?>
	<?php if ( ( $direction === 'down' ) && $stream->getBool( 'paging', true ) && ( $pageNav->total > $pageNav->limit ) ) { ?>
	<div class="commentsStreamToolbar streamToolbar streamMoreContainer">
		<a href="javascript: void(0);" data-cbactivity-more-url="<?php echo $pageNav->limitstartUrl( $pageNav->limitstart ); ?>" class="commentsButton commentsButtonMore streamMore"><?php echo CBTxt::T( 'Show more comments' ); ?></a>
	</div>
	<?php } ?>
	<?php echo CBActivity::reloadHeaders(); ?>
<?php } ?>