<?php
/**
* Community Builder (TM)
* @version $Id: $
* @package CommunityBuilder
* @copyright (C) 2004-2022 www.joomlapolis.com / Lightning MultiCom SA - and its licensors, all rights reserved
* @license http://www.gnu.org/licenses/old-licenses/gpl-2.0.html GNU/GPL version 2
*/

use CBLib\Language\CBTxt;
use CB\Database\Table\UserTable;
use CB\Plugin\AntiSpam\Table\LogTable;

if ( ! ( defined( '_VALID_CB' ) || defined( '_JEXEC' ) || defined( '_VALID_MOS' ) ) ) { die( 'Direct Access to this location is not allowed.' ); }

/**
 * @var LogTable[] $rows
 * @var cbPageNav  $pageNav
 * @var bool       $isOwner
 * @var UserTable  $user
 * @var string     $tabUrl
 * @var string     $returnUrl
 * @var bool       $hasPaging
 */

global $_CB_framework;
?>
<div class="logsTab">
	<form action="<?php echo $tabUrl; ?>" method="post" name="logsForm" id="logsForm" class="m-0 logsForm">
		<div class="table-responsive logsItemsContainer">
			<table class="table table-hover mb-0">
				<thead>
					<tr class="logsItemsHeader">
						<th><?php echo CBTxt::T( 'IP Address' ); ?></th>
						<th style="width: 25%;" class="d-none d-sm-table-cell"><?php echo CBTxt::T( 'Date' ); ?></th>
						<th style="width: 10%;" class="text-center d-none d-sm-table-cell"><?php echo CBTxt::T( 'Count' ); ?></th>
						<th style="width: 1%;">&nbsp;</th>
					</tr>
				</thead>
				<tbody>
					<?php if ( $rows ) { ?>
						<?php foreach ( $rows as $row ) { ?>
						<tr class="logsItemContainer">
							<td><?php echo $row->getIpAddress(); ?></td>
							<td style="width: 25%;" class="d-none d-sm-table-cell"><?php echo cbFormatDate( $row->getDate(), false ); ?></td>
							<td style="width: 10%;" class="text-center d-none d-sm-table-cell"><?php echo $row->getCount(); ?></td>
							<td style="width: 1%;" class="text-right">
								<a href="javascript: void(0);" onclick="cbjQuery.cbconfirm( '<?php echo addslashes( CBTxt::T( 'Are you sure you want to delete this log?' ) ); ?>' ).done( function() { window.location.href = '<?php echo addslashes( $_CB_framework->pluginClassUrl( 'cbantispam', true, [ 'action' => 'log', 'func' => 'delete', 'id' => $row->getId(), 'return' => $returnUrl ] ) ); ?>'; })"><span class="fa fa-trash-o"></span></a>
							</td>
						</tr>
						<?php } ?>
					<?php } else { ?>
					<tr class="logsItemsEmpty">
						<td colspan="4">
						<?php if ( $isOwner ) { ?>
							<?php echo CBTxt::T( 'You have no logs.' ); ?>
						<?php } else { ?>
							<?php echo CBTxt::T( 'This user has no logs.' ); ?>
						<?php } ?>
						</td>
					</tr>
					<?php } ?>
				</tbody>
				<?php if ( $hasPaging ) { ?>
				<tfoot>
					<tr class="logsItemsPaging">
						<td colspan="4" class="text-center">
							<?php echo $pageNav->getListLinks(); ?>
						</td>
					</tr>
				</tfoot>
				<?php } ?>
			</table>
		</div>
		<?php echo $pageNav->getLimitBox( false ); ?>
	</form>
</div>